Search for seating levels
Query Parameters
pageSize?integer
The number of results per page
Default
25page?integer
The page of results to return
Default
1Header Parameters
x-api-key*string
OneBasket API Key
Format
passwordRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
The model to send when searching for seating levels
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/seating/search" \ -H "x-api-key: pa$$word" \ -H "Content-Type: application/json" \ -d '{}'{ "page": 0, "pageSize": 0, "pageTotal": 0, "resultsTotal": 0, "hasNextPage": true, "hasPreviousPage": true, "results": [ { "parents": [ { "parentLevel": 0, "id": "string", "parentId": "string", "name": "string", "tags": { "property1": null, "property2": null }, "isRoot": true, "kiosks": [ "string" ] } ], "childCount": 0, "depth": 0, "hasChildren": true, "id": "string", "parentId": "string", "name": "string", "tags": { "property1": null, "property2": null }, "isRoot": true, "kiosks": [ "string" ] } ]}